/*----------------------------------------------------------------------------------|  www.vdm.io  |----/
				fdsh 
/-------------------------------------------------------------------------------------------------------/

	@version		1.0.39
	@build			4th April, 2023
	@created		17th December, 2020
	@package		Reservation
	@subpackage		consultantsignup.js
	@author			farhad shahbazi <http://farhad.com>	
	@copyright		Copyright (C) 2015. All Rights Reserved
	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____ 
 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)
.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(  
\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__) 

/------------------------------------------------------------------------------------------------------*/

/* JS Document */

/***[JCBGUI.site_view.javascript_file.31.$$$$]***/
jQuery(document).ready(function($){

 		var token= $('#token').attr('name');
        $.ajax({
            url : 'index.php?option=com_reservation',
            method: 'post',
            data: {[token]: '1' ,format: 'json', task: 'ajax.getCatLevelOne', raw: 'true', extension: 'com_reservation'},
            dataType: 'json',
            success: function(msg){

                var options= '<option value="0" >تخصص خود را انتخاب کنید</option>>';

                $.each(msg,function(index, value){

                    options += '<option value="'+value.id+'" >'+value.title+'</option>>';
                });

                $('#jform_catid_level1').html(options);


            },
            error: function(err){
                console.log(err);
            }
        })


        $(document).on('change','#jform_catid_level1',function () {

            var catIdLevel1= $(this).val();
            token= $('#token').attr('name');


            $.ajax({
                url : 'index.php?option=com_reservation',
                method: 'post',
                data: {[token]: '1' ,format: 'json', task: 'ajax.getCatLevelTwo', raw: 'true', catIdLevel1: catIdLevel1},
                dataType: 'json',
                success: function(msg){

                    var options= '';
                    $.each(msg,function(index, value){

                        options += '<option value="'+value.id+'" >'+value.title+'</option>>';
                    });

                    $('#jform_catid').html(options);
                },
                error: function(err){
                    console.log(err);
                }
            })

        })

    });/***[/JCBGUI$$$$]***/
